// 
// FooImpl.java
// 

package com.example.foo.impl;

import com.example.foo.spi.Foo;

public class FooImpl implements Foo {

  public FooImpl() {
  }

  public String doFoo() {
    return this.getClass().getName() + ".doFoo()";
  }

}
